<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 5.00
| Author: STEFFEN SCHALOW
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pwi_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pwi_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pwi_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['pwi100'];
$inf_description = $locale['pwi101'];
$inf_version = "6.00";
$inf_developer = "Steffen Schalow (Infusion) and jdiderik (PWI Galerie)";
$inf_email = "steffen.schalow@schallah.de";
$inf_weburl = "http://schallah.de";

$inf_folder = "pwi_panel"; // The folder in which the infusion resides.
$inf_admin_image = "photoalbums.gif"; // Leave blank to use the default image.
$inf_admin_panel = "pwi_admin.php"; // The admin panel filename if required.

// Delete any items not required below.
/*
$inf_newtable[1] = DB_INFUSION_TABLE." (
field1 SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
field2 TINYINT(5) UNSIGNED DEFAULT '1' NOT NULL,
field3 VARCHAR(200) DEFAULT '' NOT NULL,
field4 VARCHAR(50) DEFAULT '' NOT NULL,
PRIMARY KEY (field1)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_INFUSION_TABLE." (field1, field2, field3, field4) VALUES('', '', '', '')";

$inf_droptable[1] = DB_INFUSION_TABLE;

$inf_altertable[1] = DB_INFUSION_TABLE." ADD etc";

$inf_deldbrow[1] = "other_table";
*/

$inf_adminpanel[1] = array(
	"title" => $locale['pwi100'],
	"image" => "photoalbums.gif",
	"panel" => "pwi_admin.php",
	"rights" => "5867"
);

$inf_sitelink[1] = array(
	"title" => $locale['pwi102'], // if not required replace $locale['xxx102']; with "";
	"url" => "gallery.php", // The filename you wish to link to.
	"visibility" => "0" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);



?>